package com.zbf.system.domain;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.zbf.common.annotation.Excel;
import com.zbf.common.core.domain.BaseEntity;

/**
 * 出库任务历史对象 t_ck_pickingwavegoods_bak
 *
 * @author tony
 * @date 2024-06-14
 */
@Data
@TableName(resultMap = "com.zbf.system.mapper.TCkPickingwavegoodsBakMapper.TCkPickingwavegoodsBakResult")
public class TCkPickingwavegoodsBak extends BaseEntity {
private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(value = "id",type = IdType.AUTO)
    private String id;
    /** PLC编号 */
    @Excel(name = "任务号")
    private Long plcId;

    /** 拣货单号 */
//    @Excel(name = "出库单号")
    private String pickingId;

    /** 入库批次号 */
//    @Excel(name = "入库批次号")
    private String putinId;

    /** 上架单号 */
//    @Excel(name = "上架单号")
    private String doctNumber;

    /** 物料编号 */
    @Excel(name = "物料编号")
    private String goodsId;

    /** 物料名称 */
    @Excel(name = "物料名称")
    private String goodsName;

    /** 库位编号 */
//    @Excel(name = "库位")
    private String locId;

    /** 出库数量 */
    @Excel(name = "出库数量")
    private BigDecimal goodsNum;

    /** 规格型号 */
    @Excel(name = "规格型号")
    private String specification;

    /** 生产日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
//    @Excel(name = "生产日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date productionDate;

    /** 下架时间 */
    @Excel(name = "下架时间")
    private String wareDate;

    /** 中标供应商 */
//    @Excel(name = "供应商编号")
    private String providerId;

    /** 单位 */
    @Excel(name = "单位")
    private String unit;

    /** 出库单号 */
//    @Excel(name = "出库单号")
    private String outId;

    /** 重量单位 */
//    @Excel(name = "重量单位")
    private String scaleUnit;

    /** 库存数量 */
    @Excel(name = "库存数量")
    private BigDecimal mistockNum;

    /** 已领数量 */
//    @Excel(name = "已领数量")
    private BigDecimal pickingNum;

    /** 标准价格 */
//    @Excel(name = "标准价格")
    private BigDecimal price;

    /** 库区编号 工厂 */
//    @Excel(name = "库区编号")
    private String storageAreaId;

    /** 仓库编号 */
    @Excel(name = "仓库编号")
    private String storageId;
    /** 仓库名称 */
    @Excel(name = "仓库名称")
    private String storageShortName;
    /** 容器编号 */
    private String ctl;

    /** 拣选方式 */
    private String ckType;

    /** 状态 */
//    @Excel(name = "状态")
    private String status;

    /** 站台 */
    private String outstand;




    /** 条形码 */
    private String barcode;

    /** 收货组织 */
    private String produclotId;

    /** 移库库位 */
    private String toLoc;

    /** 需求组织 */
    private String operatorId;

    /** 需求数量 */
    private BigDecimal shelvesNum;

    /** 库存地点 */
    @Excel(name = "库位")
    private String locationId;

    /** 叫料确认出库数量 */
    private BigDecimal recNum;

    /** 生产单号 */
//    @Excel(name = "")
    private String productId;

    /** 呼叫数量 */
    private BigDecimal callShelvesNum;

    /** 销售订单 */
    private String salesOrderNo;

    /** 子需求编号 */
    @Excel(name = "子需求编号")
    private String salesOrderNumber;

    /** 申请部门 */
    private String supplier;

    /** 堆垛机编号 */
    private String decId;

    /** 物料描述 */
    @Excel(name = "物料描述")
    private String recoil;

    /** 创建时间 */
    private Date operateDate;

    /** 批次号 */
    private String batchNo;

    /** 招标员 */
    private String customerId;

    /** 上报时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date reportTime;

    /** 申请单号 */
//    @Excel(name = "申请单号")
    private String purchaseId;

    /** 申请人 */
//    @Excel(name = "申请人")
    private String applicant;

    /** 主管部门 */
    private String respDept;

    /** 计划日期 */
    private String planDate;

    /** 计划时间 */
    private String planTime;

    /** 需求周期 */
    private BigDecimal needCycle;

    /** 需求类型 */
    private String needType;

    /** 物料分类 */
    @Excel(name = "物料分类")
    private String goodsTypeId;

    /** 品牌 */
    private String brand;

    /** 计划金额 */
    private BigDecimal totalMoney;

    /** 需求时间 */
    private String expiryDate;

    /** 建议供应商名称 */
    private String providerName;

    /** 收货人 */
    private String receiver;

    /** 需求部门 */
    private String needDept;

    /** 采购组织 */
    private String purchaseDept;

    /** 收货人部门 */
    private String receiverDept;

    /** 送货区域 */
    private String receivingArea;

    /** 技术需求附件 */
    private String packageId;

    /** 用途 */
    private String useType;

    /** 中标供应商联系方式 */
    private String telephone;

    /** 总重量 */
    private BigDecimal totalVolume;

    /** 毛重 */
    private BigDecimal totalRoughWeight;

    /** 净重 */
    private BigDecimal totalNetWeigh;

    /** 默认存储库区 */

    private String defaultStorageAreaId;

    /** 质检状态 */

    private String qualityInspecStatus;

    /** 保质期单位 */

    private String periodUnit;

    /** 保质期 */

    private BigDecimal period;

    /** 宽 */

    private String wgh;

    /** 高 */

    private String high;
    private String confirmStatus;
    /**
     * 箱料类型
     */
    private String typests;
    @TableField(exist = false)
    private List<String> storageList;
    private Long deptId;
    /** ABC分类 */
//    @Excel(name = "ABC分类")
    private String abc;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss",needMerge = true)
    private Date createTime;


    private String[] Date;

    /** 查询开始时间 */
    private String startTime;
    /** 查询结束时间 */
    private String endTime;

    /** 1:一级库 2：二级库 */
    @Excel(name = "库级",dictType = "storage_classification")
    private String levelType;

    /**呼叫任务号 */
    private String callNoticeId;

    public String getCallNoticeId() {
        return callNoticeId;
    }

    public void setCallNoticeId(String callNoticeId) {
        this.callNoticeId = callNoticeId;
    }

    public String getAbc() {
        return abc;
    }

    public void setAbc(String abc) {
        this.abc = abc;
    }

    public String getLevelType() {
        return levelType;
    }

    public void setLevelType(String levelType) {
        this.levelType = levelType;
    }
    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public List<String> getStorageList() {
        return storageList;
    }

    public void setStorageList(List<String> storageList) {
        this.storageList = storageList;
    }

    public void setId(String id)
            {
            this.id = id;
            }

    public String getId()
            {
            return id;
            }
    public void setPickingId(String pickingId)
            {
            this.pickingId = pickingId;
            }

    public String getPickingId()
            {
            return pickingId;
            }
    public void setPutinId(String putinId)
            {
            this.putinId = putinId;
            }

    public String getPutinId()
            {
            return putinId;
            }
    public void setDoctNumber(String doctNumber)
            {
            this.doctNumber = doctNumber;
            }

    public String getStorageShortName() {
        return storageShortName;
    }

    public void setStorageShortName(String storageShortName) {
        this.storageShortName = storageShortName;
    }

    public String getDoctNumber()
            {
            return doctNumber;
            }
    public void setGoodsId(String goodsId)
            {
            this.goodsId = goodsId;
            }

    public String getGoodsId()
            {
            return goodsId;
            }
    public void setLocId(String locId)
            {
            this.locId = locId;
            }

    public String getLocId()
            {
            return locId;
            }
    public void setGoodsNum(BigDecimal goodsNum)
            {
            this.goodsNum = goodsNum;
            }

    public BigDecimal getGoodsNum()
            {
            return goodsNum;
            }
    public void setSpecification(String specification)
            {
            this.specification = specification;
            }

    public String getSpecification()
            {
            return specification;
            }
    public void setProductionDate(Date productionDate)
            {
            this.productionDate = productionDate;
            }

    public Date getProductionDate()
            {
            return productionDate;
            }
    public void setWareDate(String wareDate)
            {
            this.wareDate = wareDate;
            }

    public String getWareDate()
            {
            return wareDate;
            }
    public void setProviderId(String providerId)
            {
            this.providerId = providerId;
            }

    public String getProviderId()
            {
            return providerId;
            }
    public void setUnit(String unit)
            {
            this.unit = unit;
            }

    public String getUnit()
            {
            return unit;
            }
    public void setOutId(String outId)
            {
            this.outId = outId;
            }

    public String getOutId()
            {
            return outId;
            }
    public void setScaleUnit(String scaleUnit)
            {
            this.scaleUnit = scaleUnit;
            }

    public String getScaleUnit()
            {
            return scaleUnit;
            }
    public void setMistockNum(BigDecimal mistockNum)
            {
            this.mistockNum = mistockNum;
            }

    public BigDecimal getMistockNum()
            {
            return mistockNum;
            }
    public void setPickingNum(BigDecimal pickingNum)
            {
            this.pickingNum = pickingNum;
            }

    public BigDecimal getPickingNum()
            {
            return pickingNum;
            }
    public void setPrice(BigDecimal price)
            {
            this.price = price;
            }

    public BigDecimal getPrice()
            {
            return price;
            }
    public void setStorageAreaId(String storageAreaId)
            {
            this.storageAreaId = storageAreaId;
            }

    public String getStorageAreaId()
            {
            return storageAreaId;
            }
    public void setStorageId(String storageId)
            {
            this.storageId = storageId;
            }

    public String getStorageId()
            {
            return storageId;
            }
    public void setCtl(String ctl)
            {
            this.ctl = ctl;
            }

    public String getCtl()
            {
            return ctl;
            }
    public void setCkType(String ckType)
            {
            this.ckType = ckType;
            }

    public String getCkType()
            {
            return ckType;
            }
    public void setStatus(String status)
            {
            this.status = status;
            }

    public String getStatus()
            {
            return status;
            }
    public void setOutstand(String outstand)
            {
            this.outstand = outstand;
            }

    public String getOutstand()
            {
            return outstand;
            }
    public void setGoodsName(String goodsName)
            {
            this.goodsName = goodsName;
            }

    public String getGoodsName()
            {
            return goodsName;
            }
    public void setPlcId(Long plcId)
            {
            this.plcId = plcId;
            }

    public Long getPlcId()
            {
            return plcId;
            }
    public void setBarcode(String barcode)
            {
            this.barcode = barcode;
            }

    public String getBarcode()
            {
            return barcode;
            }
    public void setProduclotId(String produclotId)
            {
            this.produclotId = produclotId;
            }

    public String getProduclotId()
            {
            return produclotId;
            }
    public void setToLoc(String toLoc)
            {
            this.toLoc = toLoc;
            }

    public String getToLoc()
            {
            return toLoc;
            }
    public void setOperatorId(String operatorId)
            {
            this.operatorId = operatorId;
            }

    public String getOperatorId()
            {
            return operatorId;
            }
    public void setShelvesNum(BigDecimal shelvesNum)
            {
            this.shelvesNum = shelvesNum;
            }

    public BigDecimal getShelvesNum()
            {
            return shelvesNum;
            }
    public void setLocationId(String locationId)
            {
            this.locationId = locationId;
            }

    public String getLocationId()
            {
            return locationId;
            }
    public void setRecNum(BigDecimal recNum)
            {
            this.recNum = recNum;
            }

    public BigDecimal getRecNum()
            {
            return recNum;
            }
    public void setProductId(String productId)
            {
            this.productId = productId;
            }

    public String getProductId()
            {
            return productId;
            }
    public void setCallShelvesNum(BigDecimal callShelvesNum)
            {
            this.callShelvesNum = callShelvesNum;
            }

    public BigDecimal getCallShelvesNum()
            {
            return callShelvesNum;
            }
    public void setSalesOrderNo(String salesOrderNo)
            {
            this.salesOrderNo = salesOrderNo;
            }

    public String getSalesOrderNo()
            {
            return salesOrderNo;
            }
    public void setSalesOrderNumber(String salesOrderNumber)
            {
            this.salesOrderNumber = salesOrderNumber;
            }

    public String getSalesOrderNumber()
            {
            return salesOrderNumber;
            }
    public void setSupplier(String supplier)
            {
            this.supplier = supplier;
            }

    public String getSupplier()
            {
            return supplier;
            }
    public void setDecId(String decId)
            {
            this.decId = decId;
            }

    public String getDecId()
            {
            return decId;
            }
    public void setRecoil(String recoil)
            {
            this.recoil = recoil;
            }

    public String getRecoil()
            {
            return recoil;
            }
    public void setOperateDate(Date operateDate)
            {
            this.operateDate = operateDate;
            }

    public Date getOperateDate()
            {
            return operateDate;
            }
    public void setBatchNo(String batchNo)
            {
            this.batchNo = batchNo;
            }

    public String getBatchNo()
            {
            return batchNo;
            }
    public void setCustomerId(String customerId)
            {
            this.customerId = customerId;
            }

    public String getCustomerId()
            {
            return customerId;
            }
    public void setReportTime(Date reportTime)
            {
            this.reportTime = reportTime;
            }

    public Date getReportTime()
            {
            return reportTime;
            }
    public void setPurchaseId(String purchaseId)
            {
            this.purchaseId = purchaseId;
            }

    public String getPurchaseId()
            {
            return purchaseId;
            }
    public void setApplicant(String applicant)
            {
            this.applicant = applicant;
            }

    public String getApplicant()
            {
            return applicant;
            }
    public void setRespDept(String respDept)
            {
            this.respDept = respDept;
            }

    public String getRespDept()
            {
            return respDept;
            }
    public void setPlanDate(String planDate)
            {
            this.planDate = planDate;
            }

    public String getPlanDate()
            {
            return planDate;
            }
    public void setPlanTime(String planTime)
            {
            this.planTime = planTime;
            }

    public String getPlanTime()
            {
            return planTime;
            }
    public void setNeedCycle(BigDecimal needCycle)
            {
            this.needCycle = needCycle;
            }

    public BigDecimal getNeedCycle()
            {
            return needCycle;
            }
    public void setNeedType(String needType)
            {
            this.needType = needType;
            }

    public String getNeedType()
            {
            return needType;
            }
    public void setGoodsTypeId(String goodsTypeId)
            {
            this.goodsTypeId = goodsTypeId;
            }

    public String getGoodsTypeId()
            {
            return goodsTypeId;
            }
    public void setBrand(String brand)
            {
            this.brand = brand;
            }

    public String getBrand()
            {
            return brand;
            }
    public void setTotalMoney(BigDecimal totalMoney)
            {
            this.totalMoney = totalMoney;
            }

    public BigDecimal getTotalMoney()
            {
            return totalMoney;
            }
    public void setExpiryDate(String expiryDate)
            {
            this.expiryDate = expiryDate;
            }

    public String getExpiryDate()
            {
            return expiryDate;
            }
    public void setProviderName(String providerName)
            {
            this.providerName = providerName;
            }

    public String getProviderName()
            {
            return providerName;
            }
    public void setReceiver(String receiver)
            {
            this.receiver = receiver;
            }

    public String getReceiver()
            {
            return receiver;
            }
    public void setNeedDept(String needDept)
            {
            this.needDept = needDept;
            }

    public String getNeedDept()
            {
            return needDept;
            }
    public void setPurchaseDept(String purchaseDept)
            {
            this.purchaseDept = purchaseDept;
            }

    public String getPurchaseDept()
            {
            return purchaseDept;
            }
    public void setReceiverDept(String receiverDept)
            {
            this.receiverDept = receiverDept;
            }

    public String getReceiverDept()
            {
            return receiverDept;
            }
    public void setReceivingArea(String receivingArea)
            {
            this.receivingArea = receivingArea;
            }

    public String getReceivingArea()
            {
            return receivingArea;
            }
    public void setPackageId(String packageId)
            {
            this.packageId = packageId;
            }

    public String getPackageId()
            {
            return packageId;
            }
    public void setUseType(String useType)
            {
            this.useType = useType;
            }

    public String getUseType()
            {
            return useType;
            }
    public void setTelephone(String telephone)
            {
            this.telephone = telephone;
            }

    public String getTelephone()
            {
            return telephone;
            }
    public void setTotalVolume(BigDecimal totalVolume)
            {
            this.totalVolume = totalVolume;
            }

    public BigDecimal getTotalVolume()
            {
            return totalVolume;
            }
    public void setTotalRoughWeight(BigDecimal totalRoughWeight)
            {
            this.totalRoughWeight = totalRoughWeight;
            }

    public BigDecimal getTotalRoughWeight()
            {
            return totalRoughWeight;
            }
    public void setTotalNetWeigh(BigDecimal totalNetWeigh)
            {
            this.totalNetWeigh = totalNetWeigh;
            }

    public BigDecimal getTotalNetWeigh()
            {
            return totalNetWeigh;
            }
    public void setDefaultStorageAreaId(String defaultStorageAreaId)
            {
            this.defaultStorageAreaId = defaultStorageAreaId;
            }

    public String getDefaultStorageAreaId()
            {
            return defaultStorageAreaId;
            }
    public void setQualityInspecStatus(String qualityInspecStatus)
            {
            this.qualityInspecStatus = qualityInspecStatus;
            }

    public String getQualityInspecStatus()
            {
            return qualityInspecStatus;
            }
    public void setPeriodUnit(String periodUnit)
            {
            this.periodUnit = periodUnit;
            }

    public String getPeriodUnit()
            {
            return periodUnit;
            }
    public void setPeriod(BigDecimal period)
            {
            this.period = period;
            }

    public BigDecimal getPeriod()
            {
            return period;
            }
    public void setWgh(String wgh)
            {
            this.wgh = wgh;
            }

    public String getWgh()
            {
            return wgh;
            }
    public void setHigh(String high)
            {
            this.high = high;
            }

    public String getHigh()
            {
            return high;
            }

    public String getTypests() {
        return typests;
    }

    public void setTypests(String typests) {
        this.typests = typests;
    }

    public String getConfirmStatus() {
        return confirmStatus;
    }

    public void setConfirmStatus(String confirmStatus) {
        this.confirmStatus = confirmStatus;
    }

    @Override
public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("pickingId", getPickingId())
            .append("putinId", getPutinId())
            .append("doctNumber", getDoctNumber())
            .append("goodsId", getGoodsId())
            .append("locId", getLocId())
            .append("goodsNum", getGoodsNum())
            .append("specification", getSpecification())
            .append("productionDate", getProductionDate())
            .append("wareDate", getWareDate())
            .append("providerId", getProviderId())
            .append("unit", getUnit())
            .append("remark", getRemark())
            .append("outId", getOutId())
            .append("scaleUnit", getScaleUnit())
            .append("mistockNum", getMistockNum())
            .append("pickingNum", getPickingNum())
            .append("price", getPrice())
            .append("storageAreaId", getStorageAreaId())
            .append("storageId", getStorageId())
            .append("ctl", getCtl())
            .append("ckType", getCkType())
            .append("status", getStatus())
            .append("outstand", getOutstand())
            .append("goodsName", getGoodsName())
            .append("plcId", getPlcId())
            .append("barcode", getBarcode())
            .append("produclotId", getProduclotId())
            .append("toLoc", getToLoc())
            .append("operatorId", getOperatorId())
            .append("shelvesNum", getShelvesNum())
            .append("locationId", getLocationId())
            .append("recNum", getRecNum())
            .append("productId", getProductId())
            .append("callShelvesNum", getCallShelvesNum())
            .append("salesOrderNo", getSalesOrderNo())
            .append("salesOrderNumber", getSalesOrderNumber())
            .append("supplier", getSupplier())
            .append("decId", getDecId())
            .append("updateTime", getUpdateTime())
            .append("recoil", getRecoil())
            .append("operateDate", getOperateDate())
            .append("batchNo", getBatchNo())
            .append("customerId", getCustomerId())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateBy", getUpdateBy())
            .append("reportTime", getReportTime())
            .append("purchaseId", getPurchaseId())
            .append("applicant", getApplicant())
            .append("respDept", getRespDept())
            .append("planDate", getPlanDate())
            .append("planTime", getPlanTime())
            .append("needCycle", getNeedCycle())
            .append("needType", getNeedType())
            .append("goodsTypeId", getGoodsTypeId())
            .append("brand", getBrand())
            .append("totalMoney", getTotalMoney())
            .append("expiryDate", getExpiryDate())
            .append("providerName", getProviderName())
            .append("receiver", getReceiver())
            .append("needDept", getNeedDept())
            .append("purchaseDept", getPurchaseDept())
            .append("receiverDept", getReceiverDept())
            .append("receivingArea", getReceivingArea())
            .append("packageId", getPackageId())
            .append("useType", getUseType())
            .append("telephone", getTelephone())
            .append("totalVolume", getTotalVolume())
            .append("totalRoughWeight", getTotalRoughWeight())
            .append("totalNetWeigh", getTotalNetWeigh())
            .append("defaultStorageAreaId", getDefaultStorageAreaId())
            .append("qualityInspecStatus", getQualityInspecStatus())
            .append("periodUnit", getPeriodUnit())
            .append("period", getPeriod())
            .append("wgh", getWgh())
            .append("high", getHigh())
            .append("confirmStatus", getConfirmStatus())
        .toString();
        }
}


















